From 2bdec3e1a7d08ffe615de61811982d2c86e97197 Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Thu, 6 Dec 2018 20:00:34 +0000
Subject: [PATCH] Warn about free software also when the host OS might not be
 free (#16195)

For example, people using VirtualBox on Windows should also be told that
only free software can be trustworthy.
---
 config/chroot_local-includes/usr/local/lib/tails-virt-notify-user | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/config/chroot_local-includes/usr/local/lib/tails-virt-notify-user b/config/chroot_local-includes/usr/local/lib/tails-virt-notify-user
index 41ecc419e1..195104a9e3 100755
--- a/config/chroot_local-includes/usr/local/lib/tails-virt-notify-user
+++ b/config/chroot_local-includes/usr/local/lib/tails-virt-notify-user
@@ -69,14 +69,12 @@ my ($body, $summary);
 chomp($vm_name);
 if (grep {$_ eq $vm_name} @whitelist) {
     $summary = gettext("Warning: virtual machine detected!");
-    $body    =
-        gettext("Both the host operating system and the virtualization software are able to monitor what you are doing in Tails.");
 }
 else {
     $summary = gettext("Warning: non-free virtual machine detected!");
-    $body    =
-        gettext("Both the host operating system and the virtualization software are able to monitor what you are doing in Tails. Only free software can be considered trustworthy, for both the host operating system and the virtualization software.");
 }
+$body    =
+    gettext("Both the host operating system and the virtualization software are able to monitor what you are doing in Tails. Only free software can be considered trustworthy, for both the host operating system and the virtualization software.");
 
 $notify->create(summary => $summary,
                 body    => $body,
-- 
2.11.0

